Page MenuHomePhabricator

Edit call to action in preview sheet for stub articles
Closed, ResolvedPublic

Assigned To
Authored By
scblr
Jan 29 2024, 3:01 PM
Referenced Files
F43789968: Screenshot_20240329_151845 - Copy.png
Mar 29 2024, 7:20 PM
F43789051: Screenshot_20240330_015953_Wikipedia Beta.jpg
Mar 29 2024, 7:03 PM
F43062743: overlay.png
Mar 22 2024, 5:19 PM
F42929174: image.png
Mar 21 2024, 8:45 AM
F42866337: good.png
Mar 20 2024, 6:16 PM
F42856596: CleanShot 2024-03-20 at 17.00.07@2x.png
Mar 20 2024, 4:01 PM
F42551624: Screenshot_20240311-185451.png
Mar 11 2024, 6:04 PM
F42551512: Screenshot_20240311-185451.png
Mar 11 2024, 6:04 PM

Description

Background

A stub is an article deemed too short and incomplete to provide encyclopedic subject coverage. While working on Places (T347336), we noticed that some articles don’t feature any content and look like this:

image.png (2×1 px, 632 KB)

Solution (Figma)

1.
image.png (1×752 px, 550 KB)
2.
Screenshot_20240129-151118.png (2×1 px, 170 KB)
  1. If an article has no preview content, we will show a call to action to expand this article.
    • The call to action will be shown in the Places and Article preview sheet
    • Copy: This article is a stub, which means there isn’t enough content in the article to generate a preview. However, you can change that.
  2. Tapping the call the action will take users to the Wikitext editor experience of the article
    • After completing the edit, users will be taken back to where they started the edit (in this example, to screen 1)

APK: https://github.com/wikimedia/apps-android-wikipedia/pull/4465/checks

Event Timeline

scblr updated the task description. (Show Details)
JTannerWMF moved this task from Needs Triage to Up Next on the Wikipedia-Android-App-Backlog board.
JTannerWMF subscribed.

We can add this once the first version of Places is released.

Hi @scblr

Still wip, as I need your input on this. Can be tested here:
https://github.com/wikimedia/apps-android-wikipedia/pull/4465/checks

However, during testing I am finding that as with all other places, there is a time lag in change propagation. So even when the user uses the edit cta and updates the article content, they might not come back to see the change they made.
You can test this by creating linking pages on test wiki like this one: https://test.wikipedia.org/wiki/AndroidAppTestPage2

@Sharvaniharan APK is expired 👇

CleanShot 2024-02-27 at 11.14.06@2x.png (472×792 px, 31 KB)

Thanks for updating.

Hi @scblr

Could you please check this again: https://github.com/wikimedia/apps-android-wikipedia/pull/4465/checks. I was able to download.. but if you have problems again, I will create a separate branch.
Thank you.

Thanks @Sharvaniharan

1) It seems like the "Edit article" button does not use the specs on Figma (especially the height)? It uses the measurements as other buttons that have been defined in T331450.

DesignvsImplementation
image.png (1×752 px, 553 KB)
Screenshot_20240311-185451.png (2×1 px, 178 KB)

2) Re: your Slack message

Since it takes a while for that edit to get processed[sometimes a day], we cannot immediately update the content when the user comes back to AndroidAppTestPage2 after adding content to AndroidAppTestPage3.. so what do we do in such cases? What message to show the user?

  • Adapt the copy to the first part only: This article is a stub, which means there isn’t enough content in the article to generate a preview.
  • And hide the "Edit article" button

3) Minor: the current implementation lacks a full stop:

Screenshot_20240311-185451.png (2×1 px, 226 KB)

Hi @scblr
Have fixed 1) annd 3), but have a question about 2) about how you are envisioning the edit message change:
a: It would be hard to have a link-specific message like how you are suggesting, because we will have to remember that for all links that get accessed in that session, which is cumbersome.
b: If you want the dialog to stay active when we go to edit mode, we can update when we come back, but if the user dismisses the dialog and then visits it again, they will see the original stub placeholder text and not the shorter one.
c: Best possible solution can be to update the toast message to indicate that they wont see a change in preview for that link immediately. So instead of Edit published! which is displayed now, we can have Edit published! It might take some time before you see your contribution in the preview - something like that?

Hi @Sharvaniharan, I think your suggestion in c) sounds good.

I have a shorter copy suggestion, though:

Edit published! Changes may take time to appear.

Hi @scblr

I fixed the toast message and made a short screen rec in case you did not easily find a stub article to edit. Feel free to use the same to test it out.: https://youtu.be/zapBN4O915M
[Took a while to publish the edit to the testwiki article but I don't think this is a typical delay for real wikis]

@Sharvaniharan, thanks for the video! I was wondering about the last scene in the video:

Can we keep the bottom sheet active when users have published the edit? Basically go back to this view after publishing the edit:

CleanShot 2024-03-20 at 17.00.07@2x.png (1×802 px, 361 KB)

With the snackbar above the sheet?

If this is not feasible – I suggest the following copy change:

Edit to %articleName published! Changes may take time to appear.

Thanks!

Hi @scblr

Thank you. makes sense. Put in the change:

good.png (2×1 px, 184 KB)

@Sharvaniharan – any chance to move the snackbar up, as we have it in the "Add images" Suggested edit? (T336502#9082815) 👇

image.png (1×720 px, 320 KB)

Thanks!

Hi @scblr
Updated this:

overlay.png (2×1 px, 191 KB)

If this looks too busy I can dismiss the bottomsheet and show a toast.
Thank you.

It's not ideal as it’s overlapping UI elements (Edit article), but better @Sharvaniharan, so let’s move this to code review 👍. Thanks for the work on this!

ABorbaWMF subscribed.

Testing on 2.7.50480-beta-2024-03-27 on test.wiki

Using this article: https://test.wikipedia.org/wiki/AndroidAppTestPage2

I am seeing this when viewing the link preview:

Screenshot_20240330_015953_Wikipedia Beta.jpg (2×1 px, 261 KB)

@ABorbaWMF Appearing correctly for me:

Screenshot_20240329_151845 - Copy.png (2×1 px, 246 KB)

Could it be a momentary network issue?

@Dbrant—Yes, it is working now, which is odd. When I looked last week, it was not showing the stub text. I tried a bunch of times and even tried adding coordinates to a stub article on test to hopefully see the preview in places. So yeah, maybe it was a network thing.